OpenNMS API 1.2.9

## org.opennms.netmgt.filter.analysis
Class DepthFirstAdapter

    java.lang.Object
      org.opennms.netmgt.filter.analysis.AnalysisAdapter
          org.opennms.netmgt.filter.analysis.DepthFirstAdapter

All Implemented Interfaces:
  Analysis, Switch

Direct Known Subclasses:
  SQLTranslation

public class DepthFirstAdapter
extends AnalysisAdapter

Field Summary

Fields inherited from class org.opennms.netmgt.filter.analysis.AnalysisAdapter
``

Constructor Summary
`DepthFirstAdapter()`

Method Summary
`void` `caseAAndRule(AAndRule node)`
`void` `caseACompareExprPart(ACompareExprPart node)`
`void` `caseAExprParensExpr(AExprParensExpr node)`
`void` `caseAExprPartExpr(AExprPartExpr node)`
`void` `caseAGtrThanEqualExprPart(AGtrThanEqualExprPart node)`
`void` `caseAGtrThanExprPart(AGtrThanExprPart node)`
`void` `caseAIdentExprPart(AIdentExprPart node)`
`void` `caseAIntegerCompareRight(AIntegerCompareRight node)`
`void` `caseAIntegerOctet(AIntegerOctet node)`
`void` `caseAIpaddrIpIdent(AIpaddrIpIdent node)`
`void` `caseAIplikeExprPart(AIplikeExprPart node)`
`void` `caseALessThanEqualExprPart(ALessThanEqualExprPart node)`
`void` `caseALessThanExprPart(ALessThanExprPart node)`
`void` `caseALikeExprPart(ALikeExprPart node)`
`void` `caseANotEqualExprPart(ANotEqualExprPart node)`
`void` `caseANotExprPart(ANotExprPart node)`
`void` `caseAOctetListOctet(AOctetListOctet node)`
`void` `caseAOctetRangeListOctet(AOctetRangeListOctet node)`
`void` `caseAOctetRangeOctet(AOctetRangeOctet node)`
`void` `caseAOrRule(AOrRule node)`
`void` `caseARuleExprRule(ARuleExprRule node)`
`void` `caseAStarOctet(AStarOctet node)`
`void` `caseAStringCompareRight(AStringCompareRight node)`
`void` `caseATildelikeExprPart(ATildelikeExprPart node)`
`void` `caseStart(Start node)`
`void` `defaultIn(Node node)`
`void` `defaultOut(Node node)`
`void` `inAAndRule(AAndRule node)`
`void` `inACompareExprPart(ACompareExprPart node)`
`void` `inAExprParensExpr(AExprParensExpr node)`
`void` `inAExprPartExpr(AExprPartExpr node)`
`void` `inAGtrThanEqualExprPart(AGtrThanEqualExprPart node)`
`void` `inAGtrThanExprPart(AGtrThanExprPart node)`
`void` `inAIdentExprPart(AIdentExprPart node)`
`void` `inAIntegerCompareRight(AIntegerCompareRight node)`
`void` `inAIntegerOctet(AIntegerOctet node)`
`void` `inAIpaddrIpIdent(AIpaddrIpIdent node)`
`void` `inAIplikeExprPart(AIplikeExprPart node)`
`void` `inALessThanEqualExprPart(ALessThanEqualExprPart node)`
`void` `inALessThanExprPart(ALessThanExprPart node)`
`void` `inALikeExprPart(ALikeExprPart node)`
`void` `inANotEqualExprPart(ANotEqualExprPart node)`
`void` `inANotExprPart(ANotExprPart node)`
`void` `inAOctetListOctet(AOctetListOctet node)`
`void` `inAOctetRangeListOctet(AOctetRangeListOctet node)`
`void` `inAOctetRangeOctet(AOctetRangeOctet node)`
`void` `inAOrRule(AOrRule node)`
`void` `inARuleExprRule(ARuleExprRule node)`
`void` `inAStarOctet(AStarOctet node)`
`void` `inAStringCompareRight(AStringCompareRight node)`
`void` `inATildelikeExprPart(ATildelikeExprPart node)`
`void` `inStart(Start node)`
`void` `outAAndRule(AAndRule node)`
`void` `outACompareExprPart(ACompareExprPart node)`
`void` `outAExprParensExpr(AExprParensExpr node)`
`void` `outAExprPartExpr(AExprPartExpr node)`
`void` `outAGtrThanEqualExprPart(AGtrThanEqualExprPart node)`
`void` `outAGtrThanExprPart(AGtrThanExprPart node)`
`void` `outAIdentExprPart(AIdentExprPart node)`
`void` `outAIntegerCompareRight(AIntegerCompareRight node)`
`void` `outAIntegerOctet(AIntegerOctet node)`
`void` `outAIpaddrIpIdent(AIpaddrIpIdent node)`
`void` `outAIplikeExprPart(AIplikeExprPart node)`
`void` `outALessThanEqualExprPart(ALessThanEqualExprPart node)`
`void` `outALessThanExprPart(ALessThanExprPart node)`
`void` `outALikeExprPart(ALikeExprPart node)`
`void` `outANotEqualExprPart(ANotEqualExprPart node)`
`void` `outANotExprPart(ANotExprPart node)`
`void` `outAOctetListOctet(AOctetListOctet node)`
`void` `outAOctetRangeListOctet(AOctetRangeListOctet node)`
`void` `outAOctetRangeOctet(AOctetRangeOctet node)`
`void` `outAOrRule(AOrRule node)`
`void` `outARuleExprRule(ARuleExprRule node)`
`void` `outAStarOctet(AStarOctet node)`
`void` `outAStringCompareRight(AStringCompareRight node)`
`void` `outATildelikeExprPart(ATildelikeExprPart node)`
`void` `outStart(Start node)`

Methods inherited from class org.opennms.netmgt.filter.analysis.AnalysisAdapter

`caseEOF, caseTAnd, caseTBlank, caseTCompare, caseTDot, caseTGtrThan, caseTGtrThanEqual, caseTIdent, caseTInteger, caseTIplike, caseTLessThan, caseTLessThanEqual, caseTLike, caseTLparen, caseTNot, caseTNotEqual, caseTNotident, caseTOctetList, caseTOctetRange, caseTOctetRangeList, caseTOr, caseTQuotedString, caseTRparen, caseTSemi, caseTStar, caseTTildelike, defaultCase, getIn, getOut, setIn, setOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DepthFirstAdapter

    public DepthFirstAdapter()

Method Detail

### inStart

    public void inStart(Start node)

### outStart

    public void outStart(Start node)

### defaultIn

    public void defaultIn(Node node)

### defaultOut

    public void defaultOut(Node node)

### caseStart

    public void caseStart(Start node)

  Specified by:
    `caseStart` in interface `Analysis`
  Overrides:
    `caseStart` in class `AnalysisAdapter`

### inAAndRule

    public void inAAndRule(AAndRule node)

### outAAndRule

    public void outAAndRule(AAndRule node)

### caseAAndRule

    public void caseAAndRule(AAndRule node)

  Specified by:
    `caseAAndRule` in interface `Analysis`
  Overrides:
    `caseAAndRule` in class `AnalysisAdapter`

### inAOrRule

    public void inAOrRule(AOrRule node)

### outAOrRule

    public void outAOrRule(AOrRule node)

### caseAOrRule

    public void caseAOrRule(AOrRule node)

  Specified by:
    `caseAOrRule` in interface `Analysis`
  Overrides:
    `caseAOrRule` in class `AnalysisAdapter`

### inARuleExprRule

    public void inARuleExprRule(ARuleExprRule node)

### outARuleExprRule

    public void outARuleExprRule(ARuleExprRule node)

### caseARuleExprRule

    public void caseARuleExprRule(ARuleExprRule node)

  Specified by:
    `caseARuleExprRule` in interface `Analysis`
  Overrides:
    `caseARuleExprRule` in class `AnalysisAdapter`

### inAExprPartExpr

    public void inAExprPartExpr(AExprPartExpr node)

### outAExprPartExpr

    public void outAExprPartExpr(AExprPartExpr node)

### caseAExprPartExpr

    public void caseAExprPartExpr(AExprPartExpr node)

  Specified by:
    `caseAExprPartExpr` in interface `Analysis`
  Overrides:
    `caseAExprPartExpr` in class `AnalysisAdapter`

### inAExprParensExpr

    public void inAExprParensExpr(AExprParensExpr node)

### outAExprParensExpr

    public void outAExprParensExpr(AExprParensExpr node)

### caseAExprParensExpr

    public void caseAExprParensExpr(AExprParensExpr node)

  Specified by:
    `caseAExprParensExpr` in interface `Analysis`
  Overrides:
    `caseAExprParensExpr` in class `AnalysisAdapter`

### inAIdentExprPart

    public void inAIdentExprPart(AIdentExprPart node)

### outAIdentExprPart

    public void outAIdentExprPart(AIdentExprPart node)

### caseAIdentExprPart

    public void caseAIdentExprPart(AIdentExprPart node)

  Specified by:
    `caseAIdentExprPart` in interface `Analysis`
  Overrides:
    `caseAIdentExprPart` in class `AnalysisAdapter`

### inAGtrThanExprPart

    public void inAGtrThanExprPart(AGtrThanExprPart node)

### outAGtrThanExprPart

    public void outAGtrThanExprPart(AGtrThanExprPart node)

### caseAGtrThanExprPart

    public void caseAGtrThanExprPart(AGtrThanExprPart node)

  Specified by:
    `caseAGtrThanExprPart` in interface `Analysis`
  Overrides:
    `caseAGtrThanExprPart` in class `AnalysisAdapter`

### inALessThanExprPart

    public void inALessThanExprPart(ALessThanExprPart node)

### outALessThanExprPart

    public void outALessThanExprPart(ALessThanExprPart node)

### caseALessThanExprPart

    public void caseALessThanExprPart(ALessThanExprPart node)

  Specified by:
    `caseALessThanExprPart` in interface `Analysis`
  Overrides:
    `caseALessThanExprPart` in class `AnalysisAdapter`

### inAGtrThanEqualExprPart

    public void inAGtrThanEqualExprPart(AGtrThanEqualExprPart node)

### outAGtrThanEqualExprPart

    public void outAGtrThanEqualExprPart(AGtrThanEqualExprPart node)

### caseAGtrThanEqualExprPart

    public void caseAGtrThanEqualExprPart(AGtrThanEqualExprPart node)

  Specified by:
    `caseAGtrThanEqualExprPart` in interface `Analysis`
  Overrides:
    `caseAGtrThanEqualExprPart` in class `AnalysisAdapter`

### inALessThanEqualExprPart

    public void inALessThanEqualExprPart(ALessThanEqualExprPart node)

### outALessThanEqualExprPart

    public void outALessThanEqualExprPart(ALessThanEqualExprPart node)

### caseALessThanEqualExprPart

    public void caseALessThanEqualExprPart(ALessThanEqualExprPart node)

  Specified by:
    `caseALessThanEqualExprPart` in interface `Analysis`
  Overrides:
    `caseALessThanEqualExprPart` in class `AnalysisAdapter`

### inACompareExprPart

    public void inACompareExprPart(ACompareExprPart node)

### outACompareExprPart

    public void outACompareExprPart(ACompareExprPart node)

### caseACompareExprPart

    public void caseACompareExprPart(ACompareExprPart node)

  Specified by:
    `caseACompareExprPart` in interface `Analysis`
  Overrides:
    `caseACompareExprPart` in class `AnalysisAdapter`

### inANotEqualExprPart

    public void inANotEqualExprPart(ANotEqualExprPart node)

### outANotEqualExprPart

    public void outANotEqualExprPart(ANotEqualExprPart node)

### caseANotEqualExprPart

    public void caseANotEqualExprPart(ANotEqualExprPart node)

  Specified by:
    `caseANotEqualExprPart` in interface `Analysis`
  Overrides:
    `caseANotEqualExprPart` in class `AnalysisAdapter`

### inANotExprPart

    public void inANotExprPart(ANotExprPart node)

### outANotExprPart

    public void outANotExprPart(ANotExprPart node)

### caseANotExprPart

    public void caseANotExprPart(ANotExprPart node)

  Specified by:
    `caseANotExprPart` in interface `Analysis`
  Overrides:
    `caseANotExprPart` in class `AnalysisAdapter`

### inALikeExprPart

    public void inALikeExprPart(ALikeExprPart node)

### outALikeExprPart

    public void outALikeExprPart(ALikeExprPart node)

### caseALikeExprPart

    public void caseALikeExprPart(ALikeExprPart node)

  Specified by:
    `caseALikeExprPart` in interface `Analysis`
  Overrides:
    `caseALikeExprPart` in class `AnalysisAdapter`

### inATildelikeExprPart

    public void inATildelikeExprPart(ATildelikeExprPart node)

### outATildelikeExprPart

    public void outATildelikeExprPart(ATildelikeExprPart node)

### caseATildelikeExprPart

    public void caseATildelikeExprPart(ATildelikeExprPart node)

  Specified by:
    `caseATildelikeExprPart` in interface `Analysis`
  Overrides:
    `caseATildelikeExprPart` in class `AnalysisAdapter`

### inAIplikeExprPart

    public void inAIplikeExprPart(AIplikeExprPart node)

### outAIplikeExprPart

    public void outAIplikeExprPart(AIplikeExprPart node)

### caseAIplikeExprPart

    public void caseAIplikeExprPart(AIplikeExprPart node)

  Specified by:
    `caseAIplikeExprPart` in interface `Analysis`
  Overrides:
    `caseAIplikeExprPart` in class `AnalysisAdapter`

### inAIntegerCompareRight

    public void inAIntegerCompareRight(AIntegerCompareRight node)

### outAIntegerCompareRight

    public void outAIntegerCompareRight(AIntegerCompareRight node)

### caseAIntegerCompareRight

    public void caseAIntegerCompareRight(AIntegerCompareRight node)

  Specified by:
    `caseAIntegerCompareRight` in interface `Analysis`
  Overrides:
    `caseAIntegerCompareRight` in class `AnalysisAdapter`

### inAStringCompareRight

    public void inAStringCompareRight(AStringCompareRight node)

### outAStringCompareRight

    public void outAStringCompareRight(AStringCompareRight node)

### caseAStringCompareRight

    public void caseAStringCompareRight(AStringCompareRight node)

  Specified by:
    `caseAStringCompareRight` in interface `Analysis`
  Overrides:
    `caseAStringCompareRight` in class `AnalysisAdapter`

### inAIpaddrIpIdent

    public void inAIpaddrIpIdent(AIpaddrIpIdent node)

### outAIpaddrIpIdent

    public void outAIpaddrIpIdent(AIpaddrIpIdent node)

### caseAIpaddrIpIdent

    public void caseAIpaddrIpIdent(AIpaddrIpIdent node)

  Specified by:
    `caseAIpaddrIpIdent` in interface `Analysis`
  Overrides:
    `caseAIpaddrIpIdent` in class `AnalysisAdapter`

### inAStarOctet

    public void inAStarOctet(AStarOctet node)

### outAStarOctet

    public void outAStarOctet(AStarOctet node)

### caseAStarOctet

    public void caseAStarOctet(AStarOctet node)

  Specified by:
    `caseAStarOctet` in interface `Analysis`
  Overrides:
    `caseAStarOctet` in class `AnalysisAdapter`

### inAOctetListOctet

    public void inAOctetListOctet(AOctetListOctet node)

### outAOctetListOctet

    public void outAOctetListOctet(AOctetListOctet node)

### caseAOctetListOctet

    public void caseAOctetListOctet(AOctetListOctet node)

  Specified by:
    `caseAOctetListOctet` in interface `Analysis`
  Overrides:
    `caseAOctetListOctet` in class `AnalysisAdapter`

### inAOctetRangeOctet

    public void inAOctetRangeOctet(AOctetRangeOctet node)

### outAOctetRangeOctet

    public void outAOctetRangeOctet(AOctetRangeOctet node)

### caseAOctetRangeOctet

    public void caseAOctetRangeOctet(AOctetRangeOctet node)

  Specified by:
    `caseAOctetRangeOctet` in interface `Analysis`
  Overrides:
    `caseAOctetRangeOctet` in class `AnalysisAdapter`

### inAOctetRangeListOctet

    public void inAOctetRangeListOctet(AOctetRangeListOctet node)

### outAOctetRangeListOctet

    public void outAOctetRangeListOctet(AOctetRangeListOctet node)

### caseAOctetRangeListOctet

    public void caseAOctetRangeListOctet(AOctetRangeListOctet node)

  Specified by:
    `caseAOctetRangeListOctet` in interface `Analysis`
  Overrides:
    `caseAOctetRangeListOctet` in class `AnalysisAdapter`

### inAIntegerOctet

    public void inAIntegerOctet(AIntegerOctet node)

### outAIntegerOctet

    public void outAIntegerOctet(AIntegerOctet node)

### caseAIntegerOctet

    public void caseAIntegerOctet(AIntegerOctet node)

  Specified by:
    `caseAIntegerOctet` in interface `Analysis`
  Overrides:
    `caseAIntegerOctet` in class `AnalysisAdapter`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.